Plugins compatible with Windows XP 32 + Cubase SX 2

VST, AU, etc. plug-in Virtual Effects discussion
KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 12:30 pm

fese wrote:
Fri Oct 15, 2021 9:50 am
Passing Bye wrote:
Fri Oct 15, 2021 2:44 am
… I'm in disbelief that someone who can call him IT expert can repeat nonsense like that.
Well, to stay with the facts, he never claimed to be an IT expert, just that he worked in IT. Big difference.
Yeah, you are right, still claiming stuff like that is absurd, I'm fine with people sticking to OS that works for them, I did that with Snow Leopard too, there wasn't really reason to change, I liked Mavericks even more than it, but Logic 9 worked amazing on Snow.

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 1:16 pm

:hihi:
8.1.png
My laptop came with 8.1 and while I don't remember it sucking I don't remember there being anything to like about it. That system went on to run Win 10 all the way up to 21H1 until that version became too bloated to function. Now it runs Kubuntu Linux and runs like the day it was new. :tu:

I've still got an old DAW of mine that runs WinXP. Still booted the last time I tried which was quite awhile ago. It still has a ton of plugins on it so there are plenty that still run on XP.

We forget that we used to make music even back then with what was "state of the art" technology at the time. Sure things are an order of magnitude more powerful now. :shrug:
You do not have the required permissions to view the files attached to this post.
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 2:01 pm

Recently someone was hating on macOS Sierra based on some forum answers, rather than actually trying it, but in reality macOS Sierra is last macOS that can run Logic 9 better than anything after Snow Leopard and bunch of other legacy plugins, it's last true modern legacy macOS, but internet hates it for some reason, same with Windows 8, it's last Windows OS without so much telemetry and bloat, works even better than 7 and not any worse than 10, but bohoo let's hate Windows 8 because they took our start button action from Windows 7, big deal, install Classic Shell for that crap.

User avatar
KVRAF
8020 posts since 2 Aug, 2005 from Guitar Land, USA

Post Fri Oct 15, 2021 2:33 pm

To original poster: what kind of plugin are you looking for, most of what I've used was compatible with my old xp computer, but I can't just list everything.
The only site for experimental amp sim freeware & MIDI FX: http://runbeerrun.blogspot.com
https://m.youtube.com/channel/UCprNcvVH6aPTehLv8J5xokA -Youtube jams

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 2:47 pm

Passing Bye wrote:
Fri Oct 15, 2021 2:01 pm
Recently someone was hating on macOS Sierra based on some forum answers, rather than actually trying it, but in reality macOS Sierra is last macOS that can run Logic 9 better than anything after Snow Leopard and bunch of other legacy plugins, it's last true modern legacy macOS, but internet hates it for some reason, same with Windows 8, it's last Windows OS without so much telemetry and bloat, works even better than 7 and not any worse than 10, but bohoo let's hate Windows 8 because they took our start button action from Windows 7, big deal, install Classic Shell for that crap.
So I take it you're still running Win 8.1 :hihi:
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 2:53 pm

Well that was a rabbit hole I fell into....I booted my old WinXP system for the first time in quite awhile and it still boots and runs fine. I had to reinstall the Delta audio drivers for the AP 192 audio card installed but after that it's working fine.

The system constantly complains about not having any AV software installed but it's not connected to the net so no worries there.

I'm surprised at the number of plugins still on it....I didn't remember Dexed was a thing back then etc. So yea a nice little blast of retro computing. Still tempted to install Linux on it though since the hardware is 64 bit capable.
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 3:38 pm

Teksonik wrote:
Fri Oct 15, 2021 2:47 pm
So I take it you're still running Win 8.1 :hihi:
Linux Mint Cinnamon, one of my partners is running Windows 7, other is running Big Sur, pretty much sure our recording engineer is still on XP, I absolutely can't find anything wrong with 8.1, being using it to great satisfaction, also Windows 7, XP before, every OS last decade is pretty much solid as it gets.

But yeah, they took our Stert!
https://www.youtube.com/watch?v=QGmhLtsK2ZQ

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 4:13 pm

It just seems like you are a bit defensive of 8.1 :hihi:

I never found anything wrong with it but I never really found anything right with it so moved on.

My favorite OS now is Kubuntu due in large part to KDE Plasma. Sadly not many developers are supporting native Linux apps in the music world so Win 10 is a necessary evil for the foreseeable future.

Beside my old WinXP system I also have a Win 7 system that runs a couple of legacy games so I'm not married to any one OS at this point.
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 4:16 pm

Teksonik wrote:
Fri Oct 15, 2021 4:13 pm
I never found anything wrong with it but I never really found anything right with it so moved on.
Exactly, what is there crappy 'bout it, nothing, it's bloody fine OS, nothing worse than 7 or 10, but they took our stert, it's crap!
Sorry, think I'm one of most OS agnostic person and this Windows 8 is crap thing is just plain BS!
Last edited by Passing Bye on Fri Oct 15, 2021 4:20 pm, edited 1 time in total.

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 4:20 pm

Sorry, I don't understand your rant but more power to you. :tu:
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 4:24 pm

Teksonik wrote:
Fri Oct 15, 2021 4:20 pm
Sorry, I don't understand your rant but more power to you. :tu:
What is there not to understand, one person call pretty fine OS crap and other person objects that, other person that actually have decency to use the same OS against someone who just repeats some online crap and never used the thing in his life....

User avatar
KVRAF
16432 posts since 16 Sep, 2001 from Las Vegas,USA

Post Fri Oct 15, 2021 4:44 pm

It's not the point but the presentation that is hard to understand. :wink:
None are so hopelessly enslaved as those who falsely believe they are free. Johann Wolfgang von Goethe

KVRist
48 posts since 11 Feb, 2005

Post Fri Oct 15, 2021 5:09 pm

My only question: if your rig already works perfectly for you, why do you want to introduce new plugins that could potentially mess with the stability of your system? IMHO the only reason to stick with ancient and unsupported tech is because it works the way it is.

KVRAF
3001 posts since 5 Nov, 2014

Post Fri Oct 15, 2021 5:30 pm

Teksonik wrote:
Fri Oct 15, 2021 4:44 pm
It's not the point but the presentation that is hard to understand. :wink:
Yeah, it's enigma, one person calling OS crap because he never used it and rely on opinions from internet and others that have actual experience responding, it's mystery to figure all that out...

KVRAF
3220 posts since 16 Jan, 2005 from Ottawa, Ontario

Post Fri Oct 15, 2021 7:46 pm

Wow. Please don't attack the guy/gal for having posed a question.

There's plenty of stuff that will still work with XP - waaaay more than enough for sure. Maybe begin by limiting your plugin search BY DATE. You'll be sure that anything, say, pre 2016-ish should be OK.

But there's a lot of 32 plugins now that depend on other software like .net Frameworks or Java or things like that that might not be able to work on an old PC. I remember moving from XP because my MOTHERBOARD didn't have the HARDWARE necessary to run IE8 at the time, and being online was impossible.

Return to “Effects”